---
title: Common
slug: rainforestapi/product-data-api/parameters/common
docTags: 
createdAt: 2024-07-30T12:48:41.128Z
---

# Common Parameters

<font color="#52c41a">`GET`</font>  `/request`

The following parameters are used to configure your request to the Product Data API. They should be appended as querystring parameters to a  `GET` HTTP request to the  `/request`  endpoint.

For example, to request critical customer reviews, without a manufacturer reply, for the ASIN  `B073JYC4XM`  on  `amazon.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.rainforestapi.com/request?api_key=demo&type=reviews&amazon_domain=amazon.com&asin=B073JYC4XM&review_stars=all_critical
```

```curl
curl -L --get https://api.rainforestapi.com/request \
-d api_key="demo" \
-d type="reviews" \
-d amazon_domain="amazon.com" \ 
-d asin="B073JYC4XM" \
-d review_stars="all_critical"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "reviews",
  amazon_domain: "amazon.com",
  asin: "B073JYC4XM",
  review_stars: "all_critical"
}

// make the http GET request to Rainforest API
axios.get('https://api.rainforestapi.com/request', { params })
  .then(response => {

    // print the JSON response from Rainforest API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'reviews',
  'amazon_domain': 'amazon.com',
  'asin': 'B073JYC4XM',
  'review_stars': 'all_critical'
}

# make the http GET request to Rainforest API
api_result = requests.get('https://api.rainforestapi.com/request', params)

# print the JSON response from Rainforest API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'reviews',
  'amazon_domain' => 'amazon.com',
  'asin' => 'B073JYC4XM',
  'review_stars' => 'all_critical'
]);

# make the http GET request to Rainforest API
$ch = curl_init(sprintf('%s?%s', 'https://api.rainforestapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Rainforest API
echo $api_result;

?>
```
:::

:::hint{type="info"}
**Request-Specific Parameters**
Additional parameters are available depending on the type of request being made (as-determined by the  `type`  parameter). For example, if you make a request with  `type=offers`  then additional [Offers Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/offers), specific to  `offers`  requests, are available.
:::

***

### Common Parameters

The following common parameters are required for all requests to the Product Data API.

| `Parameter`         | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `api_key`           | `required` | The API key for your Rainforest API account.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `type`              | `required` | The type of Amazon data to retrieve. The value of the `type` parameter determines which additional parameters are available. For example, if you make a request with `type=reviews` then additional [Reviews Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/reviews), specific to `reviews` requests, are available.  <br />Valid values for `type` are:<br />1) `product`
2) Request data from the product page for an `asin` or Amazon product page `url` . See additional [Product Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/product).<br /><br />1) `stock_estimation`
2) Request stock estimation data for a given `asin` . See additional [Stock Estimation Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/stock-estimation).<br /><br />1) `sales_estimation`
2) Request sales estimation data given `asin` or `bestseller_rank` . See additional [Sales Estimation Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/sales-estimation).<br /><br />1) `bestsellers`
2) Request bestsellers data for a given Bestsellers category. See additional [Bestsellers Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/bestsellers).<br /><br />1) `search`
2) Request search results data for a given keywords on specific Amazon sites. See additional [Search Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/search).<br /><br />1) `offers`
2) Request product offers for an `asin` or Amazon product page `url` . See additional [Offers Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/offers).<br /><br />1) `reviews`
2) Request customer reviews for an `asin` or Amazon product page `url` . See additional [Reviews Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/reviews).<br /><br />1) `review_comments`
2) Request customer review comments for a given `review_id` . See additional [Review Comments Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/review-comments).<br /><br />1) `reviewer_profile`
2) Request reviewer profile data for a `reviewer_id` or Amazon reviewer profile page `url` . See additional [Reviewer Profile Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/reviewer-profile).<br /><br />1) `category`
2) Request data for a given Amazon category. See additional [Category Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/category).<br /><br />1) `also_bought`
2) Request all of the products, including those behind the scroll, listed as "also bought with" in the also bought carousel on the product page. See additional [Also Bought Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/also-bought).<br /><br />1) `seller_profile`
2) Request seller profile data for a `seller_id` or Amazon seller profile page `url` . See additional [Seller Profile Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/seller-profile).<br /><br />1) `seller_feedback`
2) Request seller customer feedback results for a `seller_id` . See additional [Seller Feedback Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/seller-feedback).<br /><br />1) `seller_products`
2) Request product listings for products sold by an Amazon seller specified by a `seller_id` or Amazon seller product listing page `url` . See additional [Seller Products Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/seller-products).<br /><br />1) `questions`
2) Request questions & answers for an `asin` or Amazon product page `url` . See additional [Questions Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/questions).<br /><br />1) `question_answers`
2) Request all answers (not just the default selected answer) for a `question_id` or Amazon question answers page `url` . See additional [Question Answers Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/question-answers).<br /><br />1) `autocomplete`
2) Request all autocomplete suggestions. See additional [Autocomplete Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/autocomplete).<br /><br />1) `author_page`
2) Request an author page for a given author `asin` or Amazon authors page `url` . See additional [Author Page Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/author-page).<br /><br />1) `store`
2) Request an brand store for a given `store_id` or Amazon brand store page `url` . See additional [Store Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/store).<br /><br />1) `charts`
2) Request data from an Amazon Charts page for the given `url` . See additional [Charts Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/charts).<br /><br />1) `asin_to_gtin`
2) Request GTIN / EAN / UPC / ISBN values for a given `asin` on a given `amazon_domain` . See additional [ASIN to GTIN Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/asin-to-gtin). Can be used for converting ASINS to GTIN / EAN / UPC / ISBN numbers in bulk.<br /><br />1) `formats_editions`
2) Request data from the "Formats & Editions" popup typically shown on books product pages for a given `asin` on a given `amazon_domain` . See additional [Formats and Editions Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/formats-editions).<br /><br />1) `wishlist`
2) Request data from Amazon wishlists for a given `wishlist_id` on a given `amazon_domain` . See additional [Wishlist Parameters ](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/wishlist). |
| `include_html`      | `optional` | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default).  <br />**Note** When adding requests with `include_html=true` to a Collection the maximum number of requests is lower (100) because including the HTML within the response makes the Collection Result Sets much larger. The limit is in place to ensure Result Set files are of a manageable size. If you have need to run a large number of requests all with `include_html=true` then simply split the requests across multiple 100-request Collections.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `output`            | `optional` | Determines the format in which results are returned. Can be set to `json` (default) to get the results as structured JSON, `html` to get the raw html retrieved or `csv` to return the results in CSV format. When using `csv` you can also use the `csv_fields` parameter to specify which fields to return in the CSV.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `csv_fields`        | `optional` | Determines the fields that are returned when returning in `csv` mode (i.e. when the `output` parameter is set to `csv` ). Should be specified as a comma seperated list of fields (in nested field, dot notation, format). For more information on the `csv_fields` parameter please see the [CSV Fields Reference ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/csv-fields).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `customer_location` | `optional` | Determines the location that Rainforest uses when retrieving pages from Amazon. This is useful, for example, for seeing details of how a product appears on amazon.com, to a customer located in a different country. Can be used to identify cross-border shipping data and opportunities. For more available values of `customer_location` please see the [Customer Locations Reference ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/customer-locations). If no value for `customer_location` is supplied then Rainforest defaults to making the request from the country of the Amazon page requested - i.e. "France" for requests for pages from "amazon.fr".                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `customer_zipcode`  | `optional` | Determines the specific customer zipcode or postal code location of the request. This is useful, for example, for seeing details highly localized listings such as Amazon Fresh.  <br />To use the `customer_zipcode` parameter you must first setup the zipcode, for the given Amazon Domain, in the [zipcodes section ](https://app.rainforestapi.com/zipcodes)of the Dashboard.  <br />For more information please see the [Customer Zipcode Reference ](https://docs.trajectdata.com/rainforestapi/zipcodes-api/overview).  <br />**Note** The `customer_zipcode` parameter cannot be used in conjuction with the `customer_location` parameter.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `language`          | `optional` | Determines the display language Rainforest requests the Amazon page in. For languages Amazon support see [Supported Languages ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/languages).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `currency`          | `optional` | Determines the currency Rainforest requests the Amazon page. For supported `currency` values for each Amazon domain see the [Supported Currencies ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/currencies).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `associate_id`      | `optional` | Pass your Amazon Associate ID (your Amazon affiliate ID) and Rainforest will append your Associate ID to all Amazon links returned in all API responses (by appending the `tag=YOURASSOCIATEID` parameter to all returned Amazon links).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `include_fields`    | `optional` | A comma-seperated list JSON field names to **include** in the JSON object the API returns. You can specify the field names in dot notation - i.e. `include_fields=pagination` will only include the the `pagination` property in the response JSON. Use `include_fields` if you only want to include specific fields in the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `exclude_fields`    | `optional` | A comma-seperated list of JSON field names to **exclude** from the JSON object the API returns. You can specify the field names in dot notation - i.e. `exclude_fields=pagination` will remove the `pagination` property from the response JSON. Use `exclude_fields` if there are specific fields you wish to exclude from the API's JSON response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

***

**Next Steps**
     [Offers Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/offers)
     [Stock Estimation Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/stock-estimation)
     [Reviews Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/reviews)
     [Product Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/product)
     [Search Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/search)
     [Bestsellers Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/bestsellers)
     [Category Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/category)
     [Also Bought Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/also-bought)
     [Seller Profile Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/seller-profile)
     [Seller Feedback Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/seller-feedback)
     [Seller Products Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/seller-products)
     [Autocomplete Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/autocomplete)
     [Author Page Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/author-page)
